Results 1 to 5 of 5

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iOS 4.1 to iOS 4.2???

  1. #1
    Default iOS 4.1 to iOS 4.2???
    I have an iPhone 3G 8GB running 4.1 software with the new baseband. I was able to jailbreak it, but I'm still weaiting for the new unlock which I heard is supposed to be coming out this month. I saw on the home page of modmyi.com that the new 4.2 runs better on the iPhone 3G. As such I was wondering if anyone here thinks that it might be a good idea...or not. Also, if I were to upgrade to the new iOS 4.2, what would I need to do to keep my phone unlocked and is there anything I could do to keep it jailbroken or rejailbreak it? Any input would be appreciated. Thanks.

  2. #2
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Two things:

    1. 4.2 is NOT released. Stay away.
    2. If you want an unlock --- stay away from 4.2

    Why do I say this so strongly? Because so many people jump to the latest and greatest without thinking -- and end up sorry.

    4.2 may have an unlock available --- maybe. Be safe, not sorry. Look before you leap.

  3. The Following User Says Thank You to Mes For This Useful Post:

    bobdigi (2010-11-10)

  4. #3
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    If 4.2 has a different baseband and if the unlock is for 4.1 baseband , then you are screwed again.

  5. The Following 2 Users Say Thank You to iYeow For This Useful Post:

    bobdigi (2010-11-10), Darksecrets (2010-11-09)

  6. #4
    Retired Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,851
    Thanks
    42
    Thanked 699 Times in 594 Posts

    Quote Originally Posted by yeow202 View Post
    If 4.2 has a different baseband and if the unlock is for 4.1 baseband , then you are screwed again.
    From what a little birdie has told me, the insertion vector for the next unlock still crashes the 05.15.04 baseband (current as of 4.2 GM).



    Now if they change the baseband between now and public launch, then we'll be sunk. Odds are pretty good 4.2's public release will be unlockable; however, I'd wait for the unlock to actually release, and go from there.
    Last edited by Orby; 2010-11-09 at 08:47 AM.

  7. The Following 2 Users Say Thank You to Orby For This Useful Post:

    bobdigi (2010-11-10), Darksecrets (2010-11-09)

  8. #5
    Okay...I just had to ask and I'm glad I did after reading what you guys had to say. I hit thanks on all of your posts. Thanks again though.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •